jQuery(function ($) {
	    post_id = 0;
	    shortform = 1;
	    //show upload form if no image output
	    if ($('#post_thumbnail_image_output').html().length < 5) {
	        $('#post_thumbnail_media_upload_form').show();
	    }

	    //add progress bar to drag-drop element
	    if ($('.drag-drop-inside .percent').length > 0) $('.drag-drop-inside').add('div').addClass('percent');


		//custom fileUploading method
		if(window.fileUploading !== 'undefined') {

			window.fileUploading = function(up, file){

				$('#post_thumbnail_media_upload_form').fadeOut('slow', function(){

					$('#post_thumbnail_loading').fadeIn('slow');

				});



			}

		}

		

	    //custom removethumbnail method
		//based on WPRemoveThumbnail() in /wp-includes/plupload/handels.dev.js
	    if (window.WPRemoveThumbnail !== 'undefined') {

	        window.WPRemoveThumbnail = function (nonce) {

		//hide image
                $('#post_thumbnail_image_output').fadeOut('slow');


	            $.post(ajaxurl, {
	                action: "set-post-thumbnail",
	                post_id: $('#post_ID').val(),
	                thumbnail_id: -1,
	                _ajax_nonce: nonce,
	                cookie: encodeURIComponent(document.cookie)
	            }, function (str) {
	                if (str == '0') {
	                    alert(setPostThumbnailL10n.error);
				$('#post_thumbnail_loading').hide();
				$('#post_thumbnail_image_output').show();
	                } else {
	                	//remove image output
				$('#post_thumbnail_image_output').html('')
	

				//show media form
				$('#post_thumbnail_media_upload_form').fadeIn('slow', function(){

		                    //show drag drop text and buttons
		                    $('.drag-drop-inside p').show();
				});
	                }
	            });
	        };
	    }


	    //custom uploaded method
		//based on uploadSuccess in /wp-includes/plupload/handels.dev.js
	    if (window.uploadSuccess !== 'undefined') {

	        window.uploadSuccess = function (fileObj, serverData) {

	            // on success serverData should be numeric, fix bug in html4 runtime returning the serverData wrapped in a <pre> tag
	            serverData = serverData.replace(/^<pre>(\d+)<\/pre>$/, '$1');

	            // if async-upload returned an error message, place it in the media item div and return
	            if (serverData.match('media-upload-error')) {
	                alert(serverData);
	                return;
	            }

	            //set post thumbnail
	            $.post(ajaxurl, {
	                action: "set-post-thumbnail",
	                post_id: $('#post_ID').val(),
	                thumbnail_id: serverData,
	                _ajax_nonce: $('#post_thumbnail_set_post_thumbnail_ajax_nonce').val(),
	                cookie: encodeURIComponent(document.cookie)
	            }, function (str) {
	                if (str == '0') {
	                    alert(setPostThumbnailL10n.error);
	                } else {
	                    if (str == '-1') {
	                        alert('error: could not set post thumbnail');
	                    } else {

							//set image as attachment
							$.post(ajaxurl, {
				                action: "attach_image_to_post",
				                post_id: $('#post_ID').val(),
				                thumbnail_id: serverData,
				                _ajax_nonce: $('#post_thumbnail_attach_post_thumbnail_ajax_nonce').val(),
				                cookie: encodeURIComponent(document.cookie)
				            }, function (str) {
				                if (str == '-1') {
				                    alert(setPostThumbnailL10n.error);
				                }
				            });

							//hide image container
							$('#post_thumbnail_image_output').hide();

							//hide drag drop form
							$('#post_thumbnail_media_upload_form').hide();

							//hide loading screen
							$('#post_thumbnail_loading').fadeOut('slow', function(){
								//show image
								$('#post_thumbnail_image_output').html(str);
								$('#post_thumbnail_image_output').fadeIn();
							});
	                    }

	                }
	            });
	        } //end function
	    } //end if


	});
